<div class="col-sm-12 mlQuestionText">
  <p>
    U nastavku je dan prikaz Booleove funkcije \(f(A,B,C,D)\) K-tablicom. O kojoj se funkciji radi? Primijetite da smo napravili zaokruženja jedinica čime smo jednoznačno definirali implementaciju prikazane funkcije odnosno njezin algebarski oblik.
  </p>

  <div class="col-sm-12">
    <div style="text-align: center;">
    <canvas id="kmapCanvas"  width="500" height="300" style="border: solid 1px black"></canvas><br>
    <span class="mlSimAuthor">Autori simulacije: Arijana Brlek, Nino Uzelac</span>
    </div>
  </div>

  <div class="col-sm-12">
    <ol style="list-style-type: lower-alpha;">
      <li>
        \(f(A,B,C,D) = \bar A \bar C + B \bar C + \bar C D\).
      </li>
      <li>
        \(f(A,B,C,D) = A \bar B + B C + \bar A D\).
      </li>
      <li>
        \(f(A,B,C,D) = \bar A B + \bar B \bar D + \bar A \bar C\).
      </li>
      <li>
        \(f(A,B,C,D) = \bar A \bar B + B C + A \bar D\).
      </li>
    </ol>
  </div>

  <script>
  @#page-include#(util.js)
  @#page-include#(cellStateDrawer.js)
  @#page-include#(cell.js)
  @#page-include#(color.js)
  @#page-include#(group.js)
  @#page-include#(kmap.js)
  </script>

  <script>
    var canvas = document.getElementById("kmapCanvas");
    var context = canvas.getContext("2d");

    var state = {
      leftVariables: "CD",
      upperVariables: "AB",
      elements: ['1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0'],
      groups: [new Group([0, 1, 4, 5]), new Group([4, 5, 6, 7]), new Group([0, 2, 8, 10])]
    };

    var map = new KMap(state, context);
    map.draw(canvas, context);
    map.encircleGroups();

  </script>
</div>
